i once had an unlocked 1.1.2 jailbreak iphone untill i stupidly upgraded to 1.1.3 so i downgraded it to 1.1.1 and cant update it to 1.1.2 i think its because of the bootloader might have been updated to 4.6. any suggestions of what i could do now?